# Enum Class ExportType

java.lang.Object
java.lang.Enum<ExportType>
jspecview.common.ExportType

All Implemented Interfaces:
  `Serializable, Comparable<ExportType>, Constable`

public enum ExportType extends Enum<ExportType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AML`
`CML`
`DIF`
`DIFDUP`
`FIX`
`JPG`
`PAC`
`PDF`
`PNG`
`SOURCE`
`SQZ`
`SVG`
`SVGI`
`UNK`
`XY`

## Method Summary

Modifier and Type
Method
Description
`static ExportType`
`getType(String type)`
`static boolean`
`isExportMode(String ext)`
`static ExportType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExportType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNK

public static final ExportType UNK

### SOURCE

public static final ExportType SOURCE

### DIF

public static final ExportType DIF

### FIX

public static final ExportType FIX

### SQZ

public static final ExportType SQZ

### PAC

public static final ExportType PAC

### XY

public static final ExportType XY

### DIFDUP

public static final ExportType DIFDUP

### PNG

public static final ExportType PNG

### JPG

public static final ExportType JPG

### SVG

public static final ExportType SVG

### SVGI

public static final ExportType SVGI

### CML

public static final ExportType CML

### AML

public static final ExportType AML

### PDF

public static final ExportType PDF

## Method Details

### values

public static ExportType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExportType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public static ExportType getType(String type)

### isExportMode

public static boolean isExportMode(String ext)